- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.NatIpInfoResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.NatIpInfoResponse.SCHEMA_REPRESENTATION.nat_ip_info.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-10-01-preview/routers/getNatIpInfo#try-it)

API Version : 2026-10-01-preview
Retrieves runtime NAT IP information.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/regions/{region}/routers/{router}/getNatIpInfo?$apiVersion=2026-10-01-preview`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region for this request. |
| `router` | `string` Name of the Router resource to query for Nat IP information. The name should conform to RFC1035. |

### Query parameters

| Parameters ||
|---|---|
| `natName` | `string` Name of the nat service to filter the NAT IP information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": [ { "natName": string, "natIpInfoMappings": [ { "natIp": string, "usage": enum, "mode": enum } ] } ] } ``` |

| Fields ||
|---|---|
| `result[]` | `object` Output only. A list of NAT IP information. |
| `result[].natName` | `string` Output only. Name of the NAT config which the NAT IP belongs to. |
| `result[].natIpInfoMappings[]` | `object` Output only. A list of all NAT IPs assigned to this NAT config. |
| `result[].natIpInfoMappings[].natIp` | `string` Output only. NAT IP address. For example: 203.0.113.11. |
| `result[].natIpInfoMappings[].usage` | `enum` Output only. Specifies whether NAT IP is currently serving at least one endpoint or not. |
| `result[].natIpInfoMappings[].mode` | `enum` Output only. Specifies whether NAT IP is auto or manual. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.routers.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).